<?php
$wp_customize->add_section(
    'newsletter_area',
    array(
        'title' => __('Newsletter Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);
$wp_customize->add_setting(
    'newsletter_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'newsletter_area_disable',
        array(
            'settings'      => 'newsletter_area_disable',
            'section'       => 'newsletter_area',
            'label'         => __( 'Disable Section', 'luzuk-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk-premium' ),
                'off' => __( 'No', 'luzuk-premium' )
            ),
        )
    )
);

lzCustomLable($wp_customize, 'newsletterarea_padding', 'newsletter_area', 'Set Section Padding:');

$wp_customize->add_setting(
    'newsletter_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_areaTpadding',
    array(
        'settings'      => 'newsletter_areaTpadding',
        'section'       => 'newsletter_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'newsletter_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_areaBpadding',
    array(
        'settings'      => 'newsletter_areaBpadding',
        'section'       => 'newsletter_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

backgroundManager($wp_customize, 'newsletter', 'newsletter_area', $color='#f72985', get_template_directory_uri().'/images/default-gray.png', 'img');


$wp_customize->add_setting(
    'newsletter_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'newsletter_page_maintitle_heading',
        array(
            'settings'      => 'newsletter_page_maintitle_heading',
            'section'       => 'newsletter_area',
            'label'         => __( 'Section Title', 'luzuk-premium' ),
        )
    )
);    
 

$wp_customize->add_setting(
    'newsletter_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Our <span>Newsletter</span>', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newsletter_page_maintitle',
    array(
        'settings'      => 'newsletter_page_maintitle',
        'section'       => 'newsletter_area',
        'type'          => 'text',
        'label'         => __( 'Heading for section', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'newsletterarea_sectitle_color', 'newsletter_area', 'Heading Color', '#fff');
addColorPalatOption($wp_customize, 'newsletterarea_sectitleborder_color_one', 'newsletter_area', 'Heading Border Color One', '#fff');
addColorPalatOption($wp_customize, 'newsletterarea_sectitleborder_color_two', 'newsletter_area', 'Heading Border Color Two', '#fff');



lzCustomLable($wp_customize, 'newsletter_Form_label', 'newsletter_area', 'Newsletter Form Shortcode');

lzAddElement($wp_customize, 'luzuk_newsletter_shortcode', 'newsletter_area', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'newsletter_forminputtextColor', 'newsletter_area', 'Form Input text / placeholder color', '#b7b7b7');

//form input bg color
addColorPalatOption($wp_customize, 'newsletter_forminputbgColor', 'newsletter_area', 'Form Input Background color', '#fff');

//form input border color
addColorPalatOption($wp_customize, 'newsletter_forminputborderColor', 'newsletter_area', 'Form Input border color', '#fff');

//form label color
addColorPalatOption($wp_customize, 'newsletter_formlabelColor', 'newsletter_area', 'Form label color', '#fff');

//form text color
addColorPalatOption($wp_customize, 'newsletter_formtextColor', 'newsletter_area', 'Form text color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'newsletter_formbuttontextColor', 'newsletter_area', 'Form button text color', '#333');

//form button background color
addColorPalatOption($wp_customize, 'newsletter_formbuttonbgColor', 'newsletter_area', 'Form button background color', '#fff');

//form button borders color
addColorPalatOption($wp_customize, 'newsletter_formbuttonborderColor', 'newsletter_area', 'Form button border color', '#fff');


//form button text color
addColorPalatOption($wp_customize, 'newsletter_formbuttontexthoverColor', 'newsletter_area', 'Form button text hover color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'newsletter_formbuttonbghoverColor1', 'newsletter_area', 'Form button background hover color one', '#8972ea');
//form button background color
addColorPalatOption($wp_customize, 'newsletter_formbuttonbghoverColor2', 'newsletter_area', 'Form button background hover color Two', '#516ced');
